onEvent('recipes', event =>{
    // quark chests
    Ingredient.of('#quark:revertable_chests')
              .stacks
              .forEach(stack => {
    event.shaped(stack, [
        'BBB',
        'B B',
        'BBB'
    ],{
        B: '#minecraft:planks'})
	})

    //vanilla chest
    Ingredient.of('minecraft:chest')
              .stacks
              .forEach(stack => {
    event.shaped(stack, [
        'BBB',
        'B B',
        'BBB'
    ],{
        B: '#minecraft:planks'})
	})
    
    // //Blaze ingot
    // event.shaped('silentgear:blaze_gold_ingot', [
    //     'AAA',
    //     'AAA',
    //     'AAA'
    // ],{
    //     A: 'silentgear:blaze_gold_nugget'
    // })

    //name tag
    event.shaped('minecraft:name_tag', [
        '  A',
        ' B ',
        'C  '
    ],{
        A: 'minecraft:string',
        B: 'create:brass_nugget',
        C: 'minecraft:paper'
    })

    // Farmers delight sweet berry cheesecake
    event.shaped('farmersdelight:sweet_berry_cheesecake', [
        'BBB',
        'BBB',
        'CPM'
    ],{
        B: '#forge:berries',
        C: '#forge:cheese',
        M: '#forge:milk',
        P: /farmersdelight:pie_crust/
    })
    event.shaped('farmersdelight:sweet_berry_cheesecake', [
        'BBB',
        'BBB',
        'MPC'
    ],{
        B: '#forge:berries',
        C: '#forge:cheese',
        M: '#forge:milk',
        P: /farmersdelight:pie_crust/
    })
    
    event.shaped('8x progressivebosses:nether_star_shard', [
        '   ',
        ' A ',
        '   '
    ],{
        A: 'minecraft:nether_star'
    })

    event.replaceInput({id: 'livingchest:eye_bone'}, 'minecraft:bone', 'sons_of_sins:bloody_bone')
    event.replaceInput({id: 'livingchest:eye_bone'}, 'minecraft:ender_eye', Item.of('iceandfire:cyclops_eye', '{Damage:0}'))
 
})

